Name:		yubico-piv-tool
Version:	1.4.2
Release:	1%{?dist}
Summary:	Tool for interacting with the PIV applet on a YubiKey NEO

License:	GPLv3+
URL:		https://developers.yubico.com/yubico-piv-tool/
Source0:	https://developers.yubico.com/yubico-piv-tool/Releases/yubico-piv-tool-%{version}.tar.gz
Source1:	https://developers.yubico.com/yubico-piv-tool/Releases/yubico-piv-tool-%{version}.tar.gz.sig
Source2:	gpgkey-B2168C0A.gpg

BuildRequires:	pcsc-lite-devel openssl-devel chrpath
BuildRequires:  gnupg2
Requires:		pcsc-lite-ccid

%description
The Yubico PIV tool is used for interacting with the
Privilege and Identification Card (PIV) applet on a YubiKey NEO.

With it you may generate keys on the device, importing keys and certificates,
and create certificate requests, and other operations. A shared library and
a command-line tool is included.

%package devel
Summary: Tool for interacting with the PIV applet on a YubiKey NEO
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
The Yubico PIV tool is used for interacting with the
Privilege and Identification Card (PIV) applet on a YubiKey NEO.
This package includes development files.


%prep
gpgv2 --quiet --keyring %{SOURCE2} %{SOURCE1} %{SOURCE0}
%setup -q

%build
%configure --with-backend="pcsc"
make %{?_smp_mflags}


%check
make check


%install
make install DESTDIR=$RPM_BUILD_ROOT
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/yubico-piv-tool
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/libykcs11.so.*
rm -f $RPM_BUILD_ROOT%{_libdir}/libykpiv.{la,a}
rm -f $RPM_BUILD_ROOT%{_libdir}/libykcs11.{la,a}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/yubico-piv-tool
%{_libdir}/libykpiv.so.*
%{_libdir}/libykcs11.so.*


%doc
%{_mandir}/man1/yubico-piv-tool.1.gz

%files devel
%{_libdir}/libykpiv.so
%{_libdir}/libykcs11.so
%attr(0644,root,root) %{_libdir}/pkgconfig/ykpiv.pc
%attr(0644,root,root) %{_libdir}/pkgconfig/ykcs11.pc
%dir %{_includedir}/ykpiv
%attr(0644,root,root) %{_includedir}/ykpiv/ykpiv.h
%attr(0644,root,root) %{_includedir}/ykpiv/ykpiv-version.h


%changelog
* Tue Sep 06 2016 Jakub Jelen <jjelen@redhat.com> - 1.4.2-1
- New upstream release (#1370850)

* Fri Aug 12 2016 Jakub Jelen <jjelen@redhat.com> - 1.4.1-1
- New upstream release (#1366435)

* Tue May 03 2016 Jakub Jelen <jjelen@redhat.com> - 1.4.0-1
- New upstream release
- Source tarball verification

* Fri Apr 29 2016 Jakub Jelen <jjelen@redhat.com> - 1.3.1-1
- New upstream release

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Dec 09 2015 Jakub Jelen <jjelen@redhat.com> 1.2.2-1
- Update to 1.2.2

* Tue Dec 08 2015 Jakub Jelen <jjelen@redhat.com> 1.2.1-1
- Update to 1.2.1 (#1289091)

* Mon Nov 16 2015 Jakub Jelen <jjelen@redhat.com> 1.1.2-1
- Update to 1.1.2 (#1281987)

* Thu Nov 12 2015 Jakub Jelen <jjelen@redhat.com> 1.1.1-1
- Update to 1.1.1 (#1280522)

* Sun Nov 08 2015 Jessica Frazelle <jess@docker.com> 1.1.0-1
- Rebase to 1.1.0

* Fri Oct 02 2015 Jakub Jelen <jjelen@redhat.com> 1.0.3-1
- Rebase to 1.0.3

* Thu Jul 16 2015 Jakub Jelen <jjelen@redhat.com> 1.0.1-1
- Rebase to 1.0.1

* Mon Jul 13 2015 Jakub Jelen <jjelen@redhat.com> 1.0.0-3
- License is GPLv3+
- owner for %{_includedir}/ykpiv
- remove hard-coded paths from ./configure
- make check is run unconditionally
- change RPATH handling to make check pass

* Thu Jul 09 2015 Jakub Jelen <jjelen@redhat.com> 1.0.0-2
- Fixed problems for Fedora Review

* Thu Jul 09 2015 Jakub Jelen <jjelen@redhat.com> 1.0.0-1
- Initial release

